HierarchyBoundsAdapter (Java SE 26 & JDK 26)
Description: declaration: module: java.desktop, package: java.awt.event, class: HierarchyBoundsAdapter
Keywords: java.awt.event.HierarchyBoundsAdapter class

# Class HierarchyBoundsAdapter

java.lang.Object
java.awt.event.HierarchyBoundsAdapter

All Implemented Interfaces:
  `HierarchyBoundsListener, EventListener`

public abstract class HierarchyBoundsAdapter extends Object implements HierarchyBoundsListener
An abstract adapter class for receiving ancestor moved and resized events. The methods in this class are empty. This class exists as a convenience for creating listener objects.

Extend this class and override the method for the event of interest. (If you implement the `HierarchyBoundsListener` interface, you have to define both methods in it. This abstract class defines null methods for them both, so you only have to define the method for the event you care about.)

Create a listener object using your class and then register it with a Component using the Component's `addHierarchyBoundsListener` method. When the hierarchy to which the Component belongs changes by resize or movement of an ancestor, the relevant method in the listener object is invoked, and the `HierarchyEvent` is passed to it.

Since:
  1.3
See Also:
  - `HierarchyBoundsListener`
  - `HierarchyEvent`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `HierarchyBoundsAdapter()`
  Constructs a `HierarchyBoundsAdapter`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `ancestorMoved(HierarchyEvent e)`
  Called when an ancestor of the source is moved.
  `void`
  `ancestorResized(HierarchyEvent e)`
  Called when an ancestor of the source is resized.

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  Creates and returns a copy of this object.
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `protected void`
  `finalize()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Finalization is deprecated and subject to removal in a future release.
  `final Class<?>`
  `getClass()`
  Returns the runtime class of this `Object`.
  `int`
  `hashCode()`
  Returns a hash code value for this object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `String`
  `toString()`
  Returns a string representation of the object.
  `final void`
  `wait()`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
  `final void`
  `wait(long timeoutMillis)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
  `final void`
  `wait(long timeoutMillis, int nanos)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

- ## Constructor Details

  - ### HierarchyBoundsAdapter

    protected HierarchyBoundsAdapter()
    Constructs a `HierarchyBoundsAdapter`.

- ## Method Details

  - ### ancestorMoved

    public void ancestorMoved(HierarchyEvent e)
    Called when an ancestor of the source is moved.
    Specified by:
      `ancestorMoved` in interface `HierarchyBoundsListener`
    Parameters:
      `e` - the event to be processed

  - ### ancestorResized

    public void ancestorResized(HierarchyEvent e)
    Called when an ancestor of the source is resized.
    Specified by:
      `ancestorResized` in interface `HierarchyBoundsListener`
    Parameters:
      `e` - the event to be processed